Add product to wishlist
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/wishlist/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_id": "<string>",
"variant_id": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/wishlist/{user_id}"
payload = {
"product_id": "<string>",
"variant_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_id: '<string>', variant_id: '<string>'})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/wishlist/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"products": [
{
"product_id": "<string>",
"variant_id": "<string>",
"sku": "<string>",
"product_slug": "<string>",
"variant_slug": "<string>",
"product_name": "<string>",
"variant_name": "<string>",
"short_description": "<string>",
"active": true,
"stock_available": true,
"on_subscription": true,
"on_promotion": true,
"category_ids": [
"<string>"
],
"tags": [
"<string>"
],
"reviews_count": 123,
"reviews_rating_sum": 123,
"attributes": [
{
"id": "<string>",
"name": "<string>",
"key": "<string>",
"type": "color",
"value": [
{
"name": "<string>",
"hexcode": "<string>"
}
]
}
],
"images": [
{
"id": "<string>",
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"url_tiny": "<string>",
"url_thumbnail": "<string>",
"url_standard": "<string>",
"url_zoom": "<string>"
}
],
"pricing": {
"currency": "<string>",
"tax_type": "GST",
"tax_rate": 123,
"price_including_tax": true,
"listing_price": 123,
"selling_price": 123,
"min_order_quantity": 1,
"max_order_quantity": 123,
"incremental_quantity": 1,
"selling_price_excluding_tax": 123
},
"promotion": {
"id": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"details": {
"discount_percent": 123,
"discount_fixed_amount": 123
}
},
"subscription": [
{
"id": "<string>",
"subscription_plan": "<string>",
"subscription_price": 123,
"billing_interval": 123,
"billing_limit": 123,
"fulfill_separately": false,
"order_interval": 123,
"order_limit": 123,
"minimum_quantity": 123,
"billing_trial_days": 123
}
],
"associated_options": {
"background_color": {
"name": "Background Color",
"value": {
"name": "Blue",
"hexcode": "#0000FF"
},
"type": "color"
},
"size": {
"name": "Size",
"value": "Large",
"type": "single-select"
}
},
"backorder": true,
"categories": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"parent_category_id": "<string>",
"product_count": 123,
"active": true
}
],
"shipping": {
"handling_charges_including_tax": 123,
"handling_charges_excluding_tax": 123,
"tax_type": "<string>",
"tax_rate": 123
},
"inventory": [
{
"lot_batch": "<string>",
"mfg_date": "2023-12-25",
"exp_date": "2023-12-25",
"manufacturer": "<string>",
"stock_quantity": 123
}
]
}
]
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Carts
Add product to wishlist
Adds a product to the user’s wishlist. Returns the updated wishlist as an array of Item objects.
POST
/
wishlist
/
{user_id}
Add product to wishlist
Authorizations
Access token
Path Parameters
user id
Body
application/json
Was this page helpful?
⌘I